Python
import os
from meibel import MeibelClient
client = MeibelClient(api_key=os.environ["MEIBEL_API_KEY"])
for schema in client.artifact_schemas.list():
print(schema.id, schema.name, schema.type)import { MeibelClient } from "meibel";
const client = new MeibelClient({ apiKey: process.env.MEIBEL_API_KEY });
const pages = await client.artifactSchemas.list({ limit: 20, offset: 0 });
for await (const artifactSchema of pages) {
console.log(`${artifactSchema.name}: ${artifactSchema.type}`);
}package main
import (
"context"
"fmt"
"os"
v2 "github.com/meibel-ai/meibel-go/v2"
)
func main() {
client := v2.NewClient(v2.WithAPIKey(os.Getenv("MEIBEL_API_KEY")))
iter := client.ArtifactSchemas.List(context.Background(), nil)
for iter.Next() {
schema := iter.Current()
fmt.Printf("%s: %s (%s)\n", schema.ID, schema.Name, schema.Type)
}
if err := iter.Err(); err != nil {
panic(err)
}
}curl --request GET \
--url https://api.meibel.ai/v2/artifact-schemas \
--header 'Meibel-API-Key: <api-key>'const options = {method: 'GET', headers: {'Meibel-API-Key': '<api-key>'}};
fetch('https://api.meibel.ai/v2/artifact-schemas', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"type": "<string>",
"fields_summary": [
{
"name": "<string>",
"type": "<string>"
}
]
}
],
"total": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Artifact schemas
List Artifact Schemas
GET
/
artifact-schemas
Python
import os
from meibel import MeibelClient
client = MeibelClient(api_key=os.environ["MEIBEL_API_KEY"])
for schema in client.artifact_schemas.list():
print(schema.id, schema.name, schema.type)import { MeibelClient } from "meibel";
const client = new MeibelClient({ apiKey: process.env.MEIBEL_API_KEY });
const pages = await client.artifactSchemas.list({ limit: 20, offset: 0 });
for await (const artifactSchema of pages) {
console.log(`${artifactSchema.name}: ${artifactSchema.type}`);
}package main
import (
"context"
"fmt"
"os"
v2 "github.com/meibel-ai/meibel-go/v2"
)
func main() {
client := v2.NewClient(v2.WithAPIKey(os.Getenv("MEIBEL_API_KEY")))
iter := client.ArtifactSchemas.List(context.Background(), nil)
for iter.Next() {
schema := iter.Current()
fmt.Printf("%s: %s (%s)\n", schema.ID, schema.Name, schema.Type)
}
if err := iter.Err(); err != nil {
panic(err)
}
}Authorizations
Query Parameters
Number of items to skip
Required range:
x >= 0Maximum number of items to return
Required range:
x >= 1Field to sort by: created_at, name, display_name
Sort order: asc or desc
Pattern:
^(asc|desc)$Was this page helpful?
⌘I